{
    "productName": "scan-central",
    "appId": "com.electron.qmth.scan-admin",
    "directories": {
        "output": "out"
    },
    "asar": true,
    "files": [
        "build/**/*",
        "dist/**/*",
        "static/**/*"
    ],
    "nsis": {
        "oneClick": false,
        "allowElevation": true,
        "allowToChangeInstallationDirectory": true,
        "installerIcon": "./icons/icon.ico",
        "uninstallerIcon": "./icons/icon.ico",
        "installerHeaderIcon": "./icons/icon.ico",
        "createDesktopShortcut": true,
        "createStartMenuShortcut": true,
        "shortcutName": "scan-central"
    },
    "mac": {
        "icon": "./icons/icon.icns",
        "artifactName": "${productName}-${os}-${version}-${arch}.${ext}",
        "darkModeSupport": true,
        "hardenedRuntime": false
    },
    "win": {
        "icon": "./icons/icon.ico",
        "artifactName": "${productName}-${os}-${version}-${arch}.${ext}",
        "target": [
            {
                "target": "portable",
                "arch": [
                    "ia32"
                ]
            }
        ]
    },
    "linux": {
        "icon": "./icons/icon.icns",
        "artifactName": "${productName}-${os}-${version}-${arch}.${ext}",
        "target": [
            "deb"
        ],
        "category": "Utility"
    }
}